{% extends "dashboard/dashboard_content.html" %}

{% block title %}
    Allot Staffs
{% endblock %}

{% block head_block %}

{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_create_semester_plan %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="ionicons ion-person-add"></i>
                    Allot Staffs
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row">
                    <ul class="nav nav-tabs bar_tabs">
                        {% for eachSemester in semesterList %}
                            <li {% if semesterInstance.pk == eachSemester.semesterInstance.pk %}
                                class="active" {% else %}
                                class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="true"
                                   id={{ eachSemester.semesterInstance.pk }}
                                           data-toggle="tab" name="semesterTab">
                                    {{ eachSemester.displayText }}

                                </a>
                            </li>
                        {% endfor %}
                    </ul>

                    {% if noCourse %}
                        <div class="x_content">
                            <div class="alert alert-danger" role="alert" align="center">
                                <h4 style="font-size: 18px"> No Courses are available </h4>
                            </div>
                        </div>
                    {% else %}
                        <form method="POST">{% csrf_token %}
                            <input type="hidden" name="hiddenSemesterPkOnDepartmentSelection"
                                   value="{{ semesterInstance.pk }}">

                            <div align="center">
                                <h4 class="text-info"> Available Departments </h4>
                                <div class="col-md-12">
                                    <div class="col-md-6 col-md-offset-3">
                                        <select class="selectpicker form-control" multiple data-live-search="true"
                                                data-actions-box="true" name="departmentSelectBox"
                                                data-show-subtext="true" onchange="this.form.submit()">
                                            {% for eachDepartment in departmentList %}
                                                {% if eachDepartment.pk in selectedDepartmentPkList %}
                                                    <option data-subtext="{{ eachDepartment }}"
                                                            value="{{ eachDepartment.pk }}"
                                                            selected>{{ eachDepartment.acronym }}</option>
                                                {% else %}
                                                    <option data-subtext="{{ eachDepartment }}"
                                                            value="{{ eachDepartment.pk }}">{{ eachDepartment.acronym }}</option>
                                                {% endif %}
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </form>
                        <br><br>
                        <div class="tab-content">
                            <form method="POST">{% csrf_token %}
                                <input type="hidden" name="hiddenSemesterPk" value="{{ semesterInstance.pk }}">
                                {% for staffCourse in staffCourseList %}
                                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                        <label class="col-md-4 col-sm-3 control-label"> {{ staffCourse.course }}
                                            <small style="color: #ff64a4">
                                                {% if staffCourse.course.is_one_credit %}
                                                    (One Credit)
                                                {% endif %}
                                            </small>
                                            <small style="color: #3176ff">
                                                {% if staffCourse.course.is_elective %}
                                                    (Elective)
                                                {% endif %}
                                            </small>
                                        </label>
                                        <div class="col-md-4 col-sm-4 col-xs-12">
                                            <select class="selectpicker form-control" multiple data-live-search="true"
                                                    title="Not Alloted" data-actions-box="true"
                                                    name="select-{{ staffCourse.pk }}" data-show-subtext="true">
                                                {% for eachStaff in staffList %}
                                                    {% if eachStaff in staffCourse.staffs.all %}
                                                        <option value="{{ eachStaff.pk }}"
                                                                data-subtext="{{ eachStaff.department.acronym }}"
                                                                selected>{{ eachStaff }}</option>
                                                    {% else %}
                                                        <option value="{{ eachStaff.pk }}"
                                                                data-subtext="{{ eachStaff.department.acronym }}">{{ eachStaff }}</option>
                                                    {% endif %}
                                                {% endfor %}
                                            </select>
                                        </div>
                                        <label class="col-md-1 col-sm-1 control-label">
                                            Shortcode:
                                        </label>
                                        <div class="col-md-3 col-sm-4">
                                            <input type="text"
                                                   class="form-control"
                                                   name="shortCode-{{ staffCourse.pk }}"
                                                   maxlength="10" value="{{ staffCourse.course.code }}"
                                                   style="width: 100px; height: 30px">
                                        </div>
                                    </div>
                                {% endfor %}

                                <div class="col-sm-12 col-md-12 col-xs-12" align="center">
                                    <input type="submit" class="btn1 btn-dark-green" name="allotStaff"
                                           value="Assign">
                                </div>
                            </form>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
    {% endif %}

    <form id="dummyForm" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="semesterTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'semesterPk'});
                $hiddenInput.appendTo('#dummyForm');

                $('#dummyForm').submit();

            });
        });
    </script>


{% endblock %}